var api = {
	hundredMeeting:{
		
		getHundredMeetingCredit: function(data, resolve, reject) { //获取今日百会学时
			_mm.requestApi({
				url: 'api/BaiHui/GetBaiHuiCredit',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		getHundredMeetingList: function(data, resolve, reject) { //获取百会列表
			_mm.requestApi({
				url: 'api/BaiHui/GetBaiHuiList',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		getHundredMeetingCollectList: function(data, resolve, reject) { //获取百会收藏列表
			_mm.requestApi({
				url: 'api/BaiHui/GetMyCollectBaiHuiList',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		chooseCourse: function(data, resolve, reject) { //百会-选课
			_mm.requestApi({
				url: 'api/BaiHui/ChooseBaiHui',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		hundredMeetingLike: function(data, resolve, reject) { //百会-点赞
			_mm.requestApi({
				url: 'api/BaiHui/ClickLike',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		hundredMeetingCollect: function(data, resolve, reject) { //百会-收藏
			_mm.requestApi({
				url: 'api/BaiHui/Collect',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		startStudy: function(data, resolve, reject) { //百会-开始学习
			_mm.requestApi_appd({
				url: 'resplay/resCoursse/createRes',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		heartbeat: function(data, resolve, reject) { //百会-心跳接口
			_mm.requestApi_appd({
				url: 'resplay/resCoursse/heartbeat',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		
	},
	tAryicle: {
		getTArticleList: function(data, resolve, reject) { //获取培训动态列表
			_mm.requestApi({
				url: '/api/TArticle/GetTArticleList',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		getTArticleDetails: function(data, resolve, reject) { //获取培训动态详情
		console.log("aa");
			_mm.requestApi({
				url: '/api/TArticle/GetTArticleDetails',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		}
	},
	login: { //登录
		getValidateByPhone: function(data, resolve, reject) { //获取验证码
			_mm.requestApi({
				url: 'api/Login/GetValidateByPhone',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		loginUserByPhone: function(data, resolve, reject) { //通过验证码登陆
			_mm.requestApi({
				url: 'api/Login/LoginUserByPhone',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		loginUserByPassword: function(data, resolve, reject) { //通过账号密码登录
			_mm.requestApi({
				url: 'api/Login/CheckLogin',
				data: data,
				success: function(res) {
					console.log("登录信息:" + JSON.stringify(res))
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		loginResetPwd: function(data, resolve, reject) { //重置密码
			_mm.requestApi({
				url: 'api/Login/PhoneResetPwd',
				data: data,
				success: function(res) {
					console.log("登录信息:" + JSON.stringify(res))
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		loginUserGetRasPrivateKey: function(data, resolve, reject) { //获取RSA公钥
			_mm.requestApi({
				url: 'api/Login/GetRasPrivateKey',
				data: data,
				success: function(res) {

					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		loginUserByRefreshToken: function(data, resolve, reject) { //获取最新token
			// console.log("刷新token请求数据 = "+JSON.stringify(data))
			_mm.requestApi({
				url: 'api/Login/GetAccessTokenByRefreshToken',
				data: data,
				success: function(res) {
					resolve(res);
					// console.log("刷新token返回数据 = "+JSON.stringify(res));
				},
				error: function(err) {
					reject(err);
					// console.log("刷新tokens失败 = "+err);
				}
			})
		}
	},
	personal: { //个人信息
		resetPwd: function(data, resolve, reject) { //重置密码
			_mm.requestApi({
				url: 'api/Personal/ResetPwd',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		updatePwd: function(data, resolve, reject) { //修改密码
			_mm.requestApi({
				url: 'api/Personal/UpdatePwd',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		getAppVersion: function(data, resolve, reject) { //获取版本号
			_mm.requestApi({
				url: 'api/Login/GetAppVersion',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		getNewAppVersion: function(data, resolve, reject) { //获取版本号新
			_mm.requestApi({
				url: 'api/Login/GetNewAppVersion',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		userFeedBack: function(data, resolve, reject) { //意见反馈
			_mm.requestApi({
				url: 'api/Personal/UserFeedBack',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		getArticleList: function(data, resolve, reject) { //消息列表
			_mm.requestApi({
				url: 'api/Personal/GetArticleList',
				data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		getUserInfo: function(data, resolve, reject) { //用户信息
			_mm.requestApi({
				url: 'api/Personal/GetUserEntityAsync',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		updateUserInfo: function(data, resolve, reject) { //修改用户信息
			_mm.requestApi({
				url: 'api/Personal/UpdateUserEntityAsync',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		getQuestionnaireAsync: function(data, resolve, reject) { //修改用户信息
			_mm.requestApi({
				url: 'api/Personal/GetQuestionnaireAsync',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
	},
	course: { //课程
		getStuCredit: function(data, resolve, reject) { //我的学分
			_mm.requestApi({
				url: 'api/Course/GetStuCredit',
				data: data,
				success: function(res) {

					resolve(res);
				},
				error: function(err) {

					reject(err);
				}
			})
		},
		getSearchCourses: function(data, resolve, reject) { //搜索
			_mm.requestApi({
				url: 'api/Course/GetSearchCourses',
				data: data,
				success: function(res) {
					// console.log("搜索结果 = "+JSON.stringify(res))
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		getUserCourses: function(data, resolve, reject) { //我的课程
			_mm.requestApi({
				url: 'api/Course/GetUserCourses',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		}
	},
	learn: { //学习模块
		learnType: function(data, resolve, reject) { //类型
			_mm.requestApi({
				url: 'api/Course/GetCourseTypeList',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		learnFirstList: function(data, resolve, reject) { //首页推荐列表
			_mm.requestApi({
				url: 'api/Course/GetRecommendCourses',
				data: data,
				success: function(res) {
					// console.log(JSON.stringify(res))
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		learnList: function(data, resolve, reject) { //学习列表
			_mm.requestApi({
				url: 'api/Course/GetCourseList',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		learnToken: function(data, resolve, reject) { //验证token
			_mm.requestApi({
				url: 'api/Personal/CheckToken',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		chooseLearn: function(data, resolve, reject) { //选课
			_mm.requestApi({
				url: 'api/Course/UserChooseCourse',
				data: data,
				success: function(res, msg) {

					resolve(res, msg);
				},
				error: function(err) {

					reject(err);
				}
			})
		},
		learnGetGenerate: function(data, resolve, reject) { //获取中院网url
			_mm.requestApi({
				url: 'api/Central/Generate',
				data: data,
				success: function(res, msg) {
					// console.log("获取中院网url = "+JSON.stringify(res))
					resolve(res);
				},
				error: function(err) {
					// console.log("获取中院网urlerr = "+JSON.stringify(err))
					reject(err);
				}
			})
		},
	},
	live: { //直播模块
		getLiveList: function(data, resolve, reject) { //直播列表
			_mm.requestApi({
				url: 'api/Live/GetLiveList',
				data: data,

				success: function(res) {

					// console.log(JSON.stringify(res))
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		updateLiveSelect: function(data, resolve, reject) { //在线时间
			_mm.requestApi({
				url: 'api/Live/UpdateLiveSelect',
				data: data,
				success: function(res) {

					resolve(res);
				},
				error: function(err) {

					reject(err);
				}
			})
		},
		getLiveDetailLis: function(data, resolve, reject) { //直播详情
			_mm.requestApi({
				url: 'api/Live/GetLiveDetailList',
				data: data,

				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		getLiveMessageList: function(data, resolve, reject) { //消息列表
			_mm.requestApi({
				url: 'api/Live/GetLiveMessageList',
				data: data,

				success: function(res) {
					// console.log("消息列表");
					resolve(res);
				},
				error: function(err) {
					// console.log("消息列表ERROR");
					reject(err);
				}
			})
		},
		getLiveMessageNumList: function(data, resolve, reject) { //消息人数列表
			_mm.requestApi({
				url: 'api/Live/GetLiveMessageNumList',
				data: data,

				success: function(res) {
					// console.log("消息人数列表");
					resolve(res);
				},
				error: function(err) {
					// console.log("消息人数列表ERROR");
					reject(err);
				}
			})
		},
		sendMessage: function(data, resolve, reject) { //消息互动-发送消息
			_mm.requestApi({
				url: 'api/Live/SendMessage',
				data: data,

				success: function(res) {
					// console.log("消息互动-发送消息");
					resolve(res);
				},
				error: function(err) {
					// console.log("消息互动-发送消息ERROR");
					reject(err);
				}
			})
		},
		insertLiveSelect: function(data, resolve, reject) { //用户进入直播
			_mm.requestApi({
				url: 'api/Live/InsertLiveSelect',
				data: data,

				success: function(res) {
					// console.log("直播已进入");
					resolve(res);
				},
				error: function(err) {
					// console.log("直播已进入Error");
					reject(err);
				}
			})
		},
		outLiveSelect: function(data, resolve, reject) { //用户退出直播
			_mm.requestApi({
				url: 'api/Live/OutLiveSelect',
				data: data,

				success: function(res) {
					// console.log("直播已退入");
					resolve(res);
				},
				error: function(err) {
					// console.log("直播已退入Error");
					reject(err);
				}
			})
		},
		updateLiveSelect: function(data, resolve, reject) { //在线时间
			_mm.requestApi({
				url: 'api/Live/UpdateLiveSelect',
				data: data,

				success: function(res) {
					// console.log("心跳在线时间");
					resolve(res);
				},
				error: function(err) {
					// console.log("心跳在线时间ERROR");
					reject(err);
				}
			})
		},
		getLiveInstant: function(data, resolve, reject) { //即时通讯绑定
			_mm.requestApi({
				url: 'api/Live/GetLiveInstant',
				data: data,

				success: function(res) {
					// console.log("即时通讯绑定");
					resolve(res);
				},
				error: function(err) {
					// console.log("即时通讯绑定ERROR");
					reject(err);
				}
			})
		},
	},
	task: { //任务模块
		getExamList: function(data, resolve, reject) { //直播列表
			_mm.requestApi({
				url: 'api/Exam/GetExamCourseList',
				data: data,
				success: function(res) {
					resolve(res);
					console.log(res)
				},
				error: function(err) {
					reject(err);
					console.log(err)
				}
			})
		}
	},
	tencentIM: { //腾讯IM服务
		accountImport: function(data, resolve, reject) { //
			_mm.requestApi({
				url: 'api/TencentIM/AccountImport',
				data: data,
				success: function(res) {
					// console.log("腾讯IM服务腾讯IM服务进入");
					// console.log(JSON.stringify(res));
					resolve(res);
				},
				error: function(err) {
					// console.log("腾讯IM服务腾讯IM服务退出");
					reject(err);
				}
			})
		}
	},
	party: { //考试系统
		getTime: function(data, resolve, reject) { //获取服务器时间
			_mm.requestApi({
				url: 'api/Login/GetExamDate',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		getList: function(data, resolve, reject) { //获取考试试题
			_mm.requestApi({
				url: 'api/Exam/GetExamQuestionList',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		updateResult: function(data, resolve, reject) { //提交考试
			_mm.requestApi({
				url: 'api/Exam/GetExamResultList',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		}
	},
	special: { //专题班
		retrievalSpecial: function(data, resolve, reject) { //获取专题班
			_mm.specialApi({
				url: 'spec/appList',
				data: data,
				success: function(res) {

					console.log("专题班="+JSON.stringify(res));
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		getSearchingCount: function(data, resolve, reject) { //获取搜索数量
			_mm.specialApi({
				url: 'spec/getSearchingCount',
				data: data,
				method: 'get',
				contentType: 'application/x-www-form-urlencoded',
				success: function(res) {
					console.log("专题班获取搜索数量="+JSON.stringify(res));
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		classSignup: function(data, resolve, reject) { //报名
			_mm.specialApi({
				url: 'spec/signup',
				data: data,
				method: 'get',
				contentType: 'application/x-www-form-urlencoded',
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		signupCancel: function(data, resolve, reject) { //取消报名
			_mm.specialApi({
				url: 'spec/signupCancel',
				data: data,
				method: 'get',
				contentType: 'application/x-www-form-urlencoded',
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			})
		},
		classDetail: function(data, resolve, reject) { //获取专题班详情
			_mm.specialApi({
				url: 'spec/classHomePage',
				data: data,
				method: 'get',
				contentType: 'application/x-www-form-urlencoded',
				success: function(res) {


					// console.log("专题班详情:"+JSON.stringify(data));
					// console.log("专题班详情:"+JSON.stringify(res));
					// console.log("专题班详情:"+JSON.stringify(res));
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		offlineIntroduce: function(data, resolve, reject) { //线上专题班简介
			_mm.specialApi({
				url: 'spec/offlineIntroduce',
				data: data,
				method: 'get',
				contentType: 'application/x-www-form-urlencoded',
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		examPaper: function(data, resolve, reject) { //选择试卷，开始考试
			_mm.specialExamApi({
				url: '/examPaper/chooseExam',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err)
				}
			});
		},
		examResidueTime: function(data, resolve, reject) { //返回考试时间
			_mm.specialExamApi({
				url: '/examPaper/getResidueTime',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		updateAnswer: function(data, resolve, reject) { //上传答案
			_mm.specialExamApi({
				url: '/answer/updateAnswer',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		commitPaper: function(data, resolve, reject) { //提交答案
			_mm.specialExamApi({
				url: '/answer/commitPaper',
				data: data,
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
		// downCredential: function(data, resolve, reject) { //提交答案
		// 	_mm.specialExamApi({
		// 		url: '/exam/certificate/downCredential',
		// 		data: data,
		// 		success: function(res) {
		// 			resolve(res);
		// 		},
		// 		error: function(err) {
		// 			reject(err);
		// 		}
		// 	});
		// }
		downCredential: function(data, resolve, reject) { //下载证书
			_mm.specialExamApi({
				url: '/certificate/downCredential?classId='+data,
				method: 'get',
				success: function(res) {
					resolve(res);
				},
				error: function(err) {
					reject(err);
				}
			});
		},
	},
}
