//更新描述文件
var updateres = {};
// 下载wgt文件  
var wgtUrl = "";

function checkUpdate() {

	mui.plusReady(function() {

		var curVer = plus.runtime.versionCode; //当前版本号
		var baseUrl = "https://gbpx.gd.gov.cn/app/appDownload/"

		if (sessionStorage.currignoreUpdate == '1') {
			return;
		}
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			curVer = inf.version;
			api.personal.getNewAppVersion({
				IsVersion: true
			}, function(res) {
				
				if (res.AppDomain) {
					baseUrl = res.AppDomain;
				}

				console.log("updataRes = " + JSON.stringify(res));
				updateres.Data = res

				switch (plus.os.name) {
					case "Android":
						console.log("Android")
						if (compareVersion(curVer, updateres.Data.MainAndroidServerVersion)) {
							mui.confirm('检测到有新版本，为了不影响您的正常使用，请更新至新版本', '更新提示', ['暂不更新', '立即更新'],
								function(e) {
									if (e.index === 1) {
										wgtUrl = baseUrl + updateres.Data
											.MainAndroidUpdateurl;
										downWgt();
									}
								})
						} else if (compareVersion(curVer, updateres.Data
								.BranchAndroidServerVersion)) {

							mui.confirm('检测到有新版本，为了不影响您的正常使用，请更新至新版本', '更新提示', ['暂不更新', '立即更新'],
								function(e) {
									if (e.index === 1) {
										wgtUrl = baseUrl + updateres.Data
											.BranchAndroidUpdateurl;
										downWgt();
									}
								})
						} else {
							mui.toast("当前已是最新版本 V" + curVer);
						}

						break;
					case "iOS":

						if (compareVersion(curVer, updateres.Data
								.StoreBranchIosServerVersion)) {

							if (updateres.Data.IosServerFlagBranch != undefined && updateres
								.Data.IosServerFlagBranch == '0') {
								//强制更新
								mui.alert('检测到有新版本，为了不影响您的正常使用，请更新至新版本', '更新提示',
									function(e) {
										wgtUrl = baseUrl + updateres.Data
											.StoreBranchIosUpdateurl;
										isConnectUrl(wgtUrl);
									})
							} else {
								mui.confirm('检测到有新版本，为了不影响您的正常使用，请更新至新版本', '更新提示', ['暂不更新',
										'立即更新'
									],
									function(e) {
										if (e.index === 1) {
											wgtUrl = baseUrl + updateres.Data
												.StoreBranchIosUpdateurl;
											downWgt();
										}
									})
							}
						} else {
							plus.runtime.openURL(
								'itms-apps://itunes.apple.com/app/1620735472')
						}



						break;
					default:
						// 其它平台  
						break;
				}


			}, function(err) {

			});
		});

	})

}

/**
 * 比较版本大小，如果新版本nv大于旧版本ov则返回true，否则返回false
 * @param {String} ov
 * @param {String} nv
 * @return {Boolean} 
 */
function compareVersion(ov, nv) {

	if (!ov || !nv || ov == "" || nv == "") {
		return false;
	}
	var b = false,
		ova = ov.split(".", 4),
		nva = nv.split(".", 4);
	for (var i = 0; i < ova.length && i < nva.length; i++) {
		var so = ova[i],
			no = parseInt(so),
			sn = nva[i],
			nn = parseInt(sn);
		if (nn > no || sn.length > so.length) {
			return true;
		} else if (nn < no) {
			return false;
		}
	}
	if (nva.length > ova.length && 0 == nv.indexOf(ov)) {
		return true;
	}
}



function downWgt() {
	plus.nativeUI.showWaiting("下载更新文件...");
	plus.downloader.createDownload(wgtUrl, {
		filename: "_doc/update/"
	}, function(d, status) {
		if (status == 200) {
			console.log("下载更新文件成功：" + d.filename);
			installWgt(d.filename); // 安装wgt包  
		} else {
			console.log("下载更新文件失败！");
			plus.nativeUI.alert("下载更新文件失败！");
		}
		plus.nativeUI.closeWaiting();
	}).start();
}

// 更新应用资源  
function installWgt(path) {
	plus.nativeUI.showWaiting("安装更新文件...");
	plus.runtime.install(path, {}, function() {
		plus.nativeUI.closeWaiting();
		console.log("安装更新文件成功！");
		if (wgtUrl.search('.wgt') != -1) {
			plus.nativeUI.confirm("应用资源更新完成，点击确定重启App以应用本次更新内容", function(e) {
				if (e.index === 0) {
					plus.runtime.restart();
				}
			})
		}
		// else {
		// 	plus.nativeUI.confirm("应用资源更新完成，是否重新启动App以应用本次更新内容?", ['暂不重启', '立即重启'], function(e) {
		// 		if (e.index === 1) {
		// 			plus.runtime.restart();
		// 		}
		// 	})
		// }

	}, function(e) {
		plus.nativeUI.closeWaiting();
		console.log("安装wgt文件失败[" + e.code + "]：" + e.message);
		plus.nativeUI.alert("安装wgt文件失败[" + e.code + "]：" + e.message);
	});
}
