function openPageWithoutAnimation(page) {
	mui.openWindow({
		url: page + '.html',
		id: page + '.html',
		waiting: {
			autoShow: false
		},
		show: {
			aniShow: 'none'
		},
		hardwareAccelerated: true
	})
}

function openPage(page, params) {
	mui.openWindow({
		url: page + '.html',
		id: page + '.html',
		extras: params,//extras里面的就是参数了
		waiting: {
			autoShow: false
		},
		hardwareAccelerated: true,
		styles:{
			cachemode: "noCache"
		}
	})
}

function openPageParam(page,params) {
	mui.openWindow({
		url: page + '.html',
		id: page + '.html',
		extras: params,//extras里面的就是参数了
		waiting: {
			autoShow: false
		},
		hardwareAccelerated: true
	})
}
function openPageParamTitle(page,params) {
	mui.openWindow({
		url: page + '.html',
		id: page + '.html',
		extras: params,//extras里面的就是参数了
		waiting: {
			autoShow: false
		},
		styles: {
			top: "0px",
			bottom: "0px",
			titleNView: {
				autoBackButton: true,
				titleColor: '#fff',
				backgroundColor: '#e20306',
				titleText: params.title
			}
		},
		hardwareAccelerated: true
	})
}


function openPageWithGesture(page, gesture) {
	var g = 'none';
	if(gesture) {
		g = 'close'
	}
	mui.openWindow({
		url: page + '.html',
		id: page + '.html',
		waiting: {
			autoShow: false
		},
		styles: {
			popGesture: 'close'
		},
		hardwareAccelerated: true
	})
}

function openPageWithAnimation(page, animation) {
	if(!animation) {
		animation = 'slide-in-right'
	}
	mui.openWindow({
		url: page + '.html',
		id: page + '.html',
		waiting: {
			autoShow: false
		},
		show: {
			aniShow: animation
		},
		hardwareAccelerated: true

	})
}

function acrossBack(closePages, animation, autoClose, beforeBackCallBack) {
	if(!closePages) {
		return;
	}
	var oldBack = mui.back;
	mui.back = function() {

		for(var i = 0, len = closePages.length; i < len; ++i) {
			var wv = plus.webview.getWebviewById(closePages[i]);
			wv.hide();
			wv.close();
		}

		if(!animation) {
			animation = 'fade-out';
		}
		if(autoClose) {
//			setTimeout(function() {
//				for(var i = 0, len = closePages.length; i < len; ++i) {
//					var wv = plus.webview.getWebviewById(closePages[i]);
//					wv.close();
//				}
//			}, 1000);
		}
		//		plus.webview.currentWebview().close(animation);
		if(beforeBackCallBack) {
			beforeBackCallBack(closePages);
		}
		oldBack();
		
	}
}

function printWebviews() {
	var arr = plus.webview.all();
	for(var i = 0; i < arr.length; i++) {
//		console.log(arr[i].id);
	}
}