var baseUrl = "https://gbpx.gd.gov.cn/webapi/"; //网络请求url 
var baseUrl_appd = "https://gbpx.gd.gov.cn/gateway/"; //网络请求url 
var specialUrl = 'https://gbpx.gd.gov.cn/gateway/special/';
var specialExamUrl = 'https://gbpx.gd.gov.cn/gateway/exam';
var baseImgUrl = ""; //图片请求路径



var error = debounce(function(param) {
	typeof param.error == 'function' && param.error("网络似乎出了点问题，请重试！");
}, 100)

var lastTime = 0;

var _mm = {

	requestApi: function(param) { //请求
		var verification = getVerificationArr();
		// console.log("verification = "+verification);
		var timestamp = verification[0],
			nonce = verification[1],
			appid = verification[2],
			signature = verification[3];

		if (param.timestamp) {
			console.log("使用服务器时间戳")
			timestamp = param.timestamp
			signature = Array.from((String(timestamp) + String(nonce) + String(appid) + String(timestamp)))
				.sort().join("");
		}
		var a = {
			'Content-Type': 'application/json', //application/x-www-form-urlencoded
			'Authorization': 'bearer ' + _mm.storage.get('userInfo').Token,
			// 'Authorization': 'bearer ' +"Vl8rpJIukDbiRhtqoRnGMzDJ3au_eombBAnG9Cqi1WkS_vut9hBysffcNT8alBAg6UNqXHkVSs5DO2FSQgw6L-NHW0zThOdKxGhW8vbO78sDN7XS7cYESypsgDcEiv_KTs2moAAD7jAdfrFyLeUAq00SJScWlJ2loOKQxg9VgM0OP3FsKbfqHSno2LQV-BLWrYkWdk8vP1ErgHOCGcd3mp3EGE0dvdhTxGsoL-9SKqN1zz5l-haLWLlFzEKf__-BiyYYf0cnID45Ua7xJKxgp-Uy8Dx1XP4nYdoD4LtUfX8NTgCNVQS2DxhYdF4dCzoIIaPDh4Afe3fBk6BjHc93DQy0T7qbpo4XVoAIpq1_kKF8ajs2ruXA9Z0upYGb9SLJTQ8-zv7-Ix2S0FxzGQSmu6kdFYW1pKXeNsn5IEHVdpjEch2GBAZLqRptXisKcr7b-Gl0bIIgsbfaCGLIC-dwHRmUdJNS18B4xdF4lWcI5zgAMtRT",
			'timestamp': timestamp,
			'nonce': nonce,
			'appid': appid,
			'signature': md5(signature).toUpperCase()
		}

		if (param.url === 'resplay/resCoursse/createRes' || param.url === 'resplay/resCoursse/heartbeat') {
			baseUrl = 'https://gbpx.gd.gov.cn/gateway/'
		} else {
			baseUrl = 'https://gbpx.gd.gov.cn/webapi/'
		}

		let url = baseUrl + param.url

		if (param.url === 'api/BaiHui/ChooseBaiHui') {
			url = baseUrl + param.url + "?baiHuiId=" + param.data.baiHuiId;
		}
		if (param.url === 'api/BaiHui/ClickLike') {
			url = url + "?baiHuiStuId=" + param.data.baiHuiStuId
		}
		if (param.url === 'api/BaiHui/Collect') {
			url = url + "?baiHuiStuId=" + param.data.baiHuiStuId
		}
		mui.ajax(url, {
			data: param.data || '',
			crossDomain: true,
			dataType: 'json',
			type: param.method || 'post', //HTTP请求类型
			timeout: 30000, //超时时间设置为30秒；
			withCredentials: false,
			headers: {
				'Content-Type': 'application/json', //application/x-www-form-urlencoded
				'Authorization': 'bearer ' + _mm.storage.get('userInfo').Token,
				'timestamp': timestamp,
				'nonce': nonce,
				'appid': appid,
				'signature': md5(signature).toUpperCase()
			},
			success: function(res) {

				// console.log("url=" + url)
				// console.log("urlres=" + JSON.stringify(res))
				if (res.Code == 200) {
					// typeof param.error == 'function' && param.error("6月25日至7月2日，网络学院学员学习平台晚10：00 至 早8：00关闭，给大家学习造成不便，敬请谅解。");
					typeof param.success == 'function' && param.success(res.Data, res.Message);
				} else if (res.Code == 401) {
					if (param.url === 'api/BaiHui/Collect' || param.url ===
						'api/BaiHui/ClickLike' ||
						param.url === 'api/BaiHui/ChooseBaiHui' || param.url ===
						'api/BaiHui/GetBaiHuiList' ||
						param.url === 'api/BaiHui/GetBaiHuiCredit' || param.url ===
						'api/Course/UserChooseCourse'
					) {
						hundredMeetingRefToken(param, 1);
					} else {
						prevToken();
					}
				} else if (res.Code == 403) {

					var newTime = new Date(res.Data).getTime()
					param.timestamp = String(newTime).slice(0, 10);
					console.log("newTime = " + param.timestamp)
					_mm.requestApi(param); //重新调用接口

				} else if (res.Message == '课程已经选择过啦') {
					typeof param.success == 'function' && param.success(res.Data, res.Message);
				} else {
					typeof param.error == 'function' && param.error(res.Message);
				}
			},
			error: function(xhr, type, errorThrown) {
				// console.log("param.url = " + param.url);
				// console.log("param.url = " + param);
				// console.log("error = " + JSON.stringify(xhr))
				if (xhr.status == 401) {
					console.log(param.url)
					if (param.url === 'api/BaiHui/Collect' || param.url ===
						'api/BaiHui/ClickLike' ||
						param.url === 'api/BaiHui/ChooseBaiHui' || param.url ===
						'api/BaiHui/GetBaiHuiList' ||
						param.url === 'api/BaiHui/GetBaiHuiCredit' || param.url ===
						'api/Course/UserChooseCourse'
					) {
						hundredMeetingRefToken(param, 1);
					} else {
						prevToken();
					}
				} else if (xhr.status == 0 && param.url == 'api/Central/Generate') {
					// error(param)
					mui.confirm('网络异常，请重新再试！', '网络学院', ["取消", "确定"], function(e) {

						if (1 == e.index) {
							mui.plusReady(function() { //重新加载
								window.location.reload(); //页面重新加载
								return;
							})

							lastTime = 0
						}
					}, 1000)

				} else {
					// console.log("errorelse = "+xhr.status)
					// typeof param.error == 'function' && param.error("网络似乎出了点问题，请重试！");
					// error(param)
					var currentDate = new Date();

					setTimeout(function() {
						if ((currentDate.getSeconds() - lastTime) < 2 && lastTime != 0) {
							return;
						}
						lastTime = currentDate.getSeconds();
						mui.confirm('网络似乎出了点问题，请重试！', '网络学院', ["取消", "确定"], function(e) {
							if (1 == e.index) {
								mui.plusReady(function() { //重新加载
									window.location.reload(); //页面重新加载
									return;
								})

								lastTime = 0
							}
						}, 1000)
					});

				}
			}
		});
	},
	requestApi_appd: function(param) { //请求

		let url = baseUrl_appd + param.url
		mui.ajax(url, {
			data: param.data || '',
			crossDomain: true,
			dataType: 'json',
			type: param.method || 'post', //HTTP请求类型
			timeout: 30000, //超时时间设置为30秒；
			withCredentials: false,
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded', //application/json
				// 'Content-Type': 'application/json', //application/x-www-form-urlencoded
				'token': _mm.storage.get('userInfo').SToken,
			},
			success: function(res) {
				// console.log("url="+url)
				// console.log("urlres=" + JSON.stringify(res))

				if (res.status == 200) {
					// typeof param.error == 'function' && param.error("6月25日至7月2日，网络学院学员学习平台晚10：00 至 早8：00关闭，给大家学习造成不便，敬请谅解。");
					typeof param.success == 'function' && param.success(res.data, res.msg);
				} else if (res.status == 501) {
					console.log("Code501 = ");
					//防抖函数刷新token
					// prevToken();
					hundredMeetingRefToken(param, 2);
				} else {
					console.log("4321");
					// console.log(param.error);
					typeof param.error == 'function' && param.error(res.msg);
				}
			},
			error: function(xhr, type, errorThrown) {
				console.log("param.url = " + param.url);
				console.log("param. = " + JSON.stringify(param));
				console.log("error = " + JSON.stringify(xhr))
				if (xhr.status == 401) {
					// console.log("error401 = " + xhr.responseText)
					// console.log("error401 = " + xhr.status)
					//防抖函数刷新token
					prevToken();
				} else if (xhr.status == 0 && param.url == 'api/Central/Generate') {
					// error(param)
					mui.confirm('网络异常，请重新再试！', '网络学院', ["取消", "确定"], function(e) {

						if (1 == e.index) {
							mui.plusReady(function() { //重新加载
								window.location.reload(); //页面重新加载
								return;
							})

							lastTime = 0
						}
					}, 1000)

				} else {
					// console.log("errorelse = "+xhr.status)
					// typeof param.error == 'function' && param.error("网络似乎出了点问题，请重试！");
					// error(param)
					var currentDate = new Date();

					setTimeout(function() {
						if ((currentDate.getSeconds() - lastTime) < 2 && lastTime != 0) {
							return;
						}
						lastTime = currentDate.getSeconds();
						mui.confirm('网络似乎出了点问题，请重试！', '网络学院', ["取消", "确定"], function(e) {
							if (1 == e.index) {
								mui.plusReady(function() { //重新加载
									window.location.reload(); //页面重新加载
									return;
								})

								lastTime = 0
							}
						}, 1000)
					});

				}
			}
		});
	},
	getUrlParam: function(name) {
		var reg = new RegExp(`(^|&)${name}=([^&]*)(&|$)`);
		var result = window.location.search.substr(1).match(reg);
		return result ? decodeURIComponent(result[2]) : null;
	},
	storage: { //localStorage本地保存
		set: function(key, val) { //设置
			localStorage.setItem(key, JSON.stringify(val));
		},
		get: function(key) { //获取
			return JSON.parse(localStorage.getItem(key)) || "";
		},
		setParam: function(obj) { //获取
			let param = "";
			for (let i in obj) { //获取拼接的参数
				param += i + '=' + obj[i] + '&'
			}
			// console.log(param)
			return param || "";
		},
		setScore() { //设置学时

			var date = new Date;
			var year = date.getFullYear();
			api.course.getStuCredit({
				StuTypeId: _mm.storage.get('userInfo').PositionId,
				UserId: _mm.storage.get('userInfo').UserId,
				Page: 1,
				Size: 10,
				Year: year
			}, function(res) {

				res.hintStr = year;

				var html = template('templUserInfo', {
					userInfo: res
				});
				document.querySelector("#userInfoList").innerHTML = html;
				var userInfoList = document.getElementById("userInfoList");
				var searchLeft = document.getElementById("searchLeft");
				if (searchLeft != null) {
					searchLeft.setAttribute("style", 'width:calc(100% - ' + (userInfoList.offsetWidth +
						10) + 'px);');
				}
			}, function(err) {
				// mui.toast(err);
			});
		},
		setSearch() { //设置搜索方法
			var search = document.getElementById("search_header");
			search.addEventListener("tap", function(event) {
				mui.openWindow({
					url: '../search/index.html',
					styles: {
						top: '0px',
						bottom: '0px'
					},
					waiting: {
						autoShow: false
					},
					hardwareAccelerated: true
				});
				document.activeElement.blur();
			});
		},
		setMessageHtmlObj(curIndex) { //设置暂无数据
			// var messageHtmlObj = document.querySelector('#item' + curIndex + 'mobileList')
			var messageHtmlObj = document.getElementById('scroll' + curIndex); //找到属性item2mobileList
			messageHtmlObj.innerHTML =
				'<div class="mui-fullscreen mui-text-center" style="top:0px;padding-top: 40%;"><span class="iconfont icon-wushuju" style="font-size: 50px;"></span><br>没有相关的数据</div>';
		}
	},
	specialApi: function(param) { //专题班请求api
		// console.log("specialUrl + param.url=" + specialUrl + param.url);
		// console.log("param.data=" + JSON.stringify(param.data));

		mui.ajax(specialUrl + param.url, {
			data: param.data || '',
			dataType: 'json',
			crossDomain: true,
			type: param.method || 'post', //HTTP请求类型
			timeout: 30000, //超时时间设置为10秒；
			withCredentials: false,
			headers: {
				'Content-Type': param.contentType || 'application/json', //application/json
				'token': _mm.storage.get('userInfo').SToken
				// 'userid': "87d733d189794e8dad49ee2cf0388331"
			},
			success: function(res) {
				console.log("res = " + JSON.stringify(res))
				if (res.status == 200) {
					// console.log("res = " + JSON.stringify(res))
					typeof param.success == 'function' && param.success(res);
				} else if (res.status == 501) {
					console.log("专题班请求刷新token失败，res = " + JSON.stringify(res));
					//防抖函数刷新token
					prevToken();

				} else if (res.status == 500) {
					typeof param.error == 'function' && param.error(res.message);
				} else {
					typeof param.error == 'function' && param.error(res.message);
				}
			},
			error: function(xhr, type, errorThrown) {
				console.log("xhr = " + xhr.status);

				error(param);
			}
		});
	},
	specialExamApi: function(param) { //专题班考试请求api
		mui.ajax(specialExamUrl + param.url, {
			data: param.data || '',
			dataType: 'json',
			crossDomain: true,
			type: param.method || 'post', //HTTP请求类型
			timeout: 30000, //超时时间设置为10秒；
			withCredentials: false,
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded', //application/json
				'token': _mm.storage.get('userInfo').SToken
			},
			success: function(res) {

				if (res.status == 200) {
					typeof param.success == 'function' && param.success(res);
				} else if (res.status == 501) {

					//防抖函数刷新token
					prevToken();
				} else if (res.status == 500) {
					typeof param.error == 'function' && param.error(res.msg);
				}
			},
			error: function(xhr, type, errorThrown) {

				error(param);
			}
		});
	},
	refreshRequestApi: function(param) { //请求
		// console.log("baseUrl + param.url=" + baseUrl + param.url);
		mui.ajax(baseUrl + param.url, {
			data: param.data || '',
			dataType: 'json',
			type: param.method || 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			withCredentials: false,
			headers: {
				'Content-Type': 'application/json', //application/x-www-form-urlencoded
				'refresh_token': _mm.storage.get('userInfo').RefreshToken,
			},
			success: function(res) {
				if (res.Code == 200) {
					typeof param.success == 'function' && param.success(res.Data, res.Message);
				} else {
					typeof param.error == 'function' && param.error(res.Message);
				}
			},
			error: function(xhr, type, errorThrown) {
				// typeof param.error == 'function' && param.error("网络似乎出了点问题，请重试！");
				error(param);
			}
		});
	},
}

//登录过期后清理页面，跳转至登录页
function backToLogin() {
	if (localStorage.getItem("userInfo") != null) {
		localStorage.removeItem("userInfo"); //清除本地缓存
	}
	if (localStorage.getItem("userInfo_my") != null) {
		localStorage.removeItem("userInfo_my"); //清除本地缓存
	}
	var curr = plus.webview.currentWebview();
	var wvs = plus.webview.all();
	for (var i = 0, len = wvs.length; i < len; i++) {
		//关闭除login页面外的其他页面
		if (wvs[i] !== curr) {
			console.log(curr.id)
			// plus.webview.close(wvs[i]);
		} else {
			console.log(curr.id)
		}
		// console.log(wvs[i])
		// console.log(wvs[i].id)
	}
	plus.webview.open('/html/loginByCode/index.html?type=remake');
}

//随机生成id函数
function RandomFn(len) {
	return Math.random().toString(10).substr(3, len);
}



//节流函数
function debounce(fn, delay) {
	let timer = null;
	return function(...args) {
		if (timer) {
			clearTimeout(timer);
		}
		timer = setTimeout(() => {
			fn.apply(this, args)
		}, delay);
	};
}

function encodeUTF8(s) {
	var i, r = [],
		c, x;
	for (i = 0; i < s.length; i++)
		if ((c = s.charCodeAt(i)) < 0x80) r.push(c);
		else if (c < 0x800) r.push(0xC0 + (c >> 6 & 0x1F), 0x80 + (c & 0x3F));
	else {
		if ((x = c ^ 0xD800) >> 10 == 0) //对四字节UTF-16转换为Unicode
			c = (x << 10) + (s.charCodeAt(++i) ^ 0xDC00) + 0x10000,
			r.push(0xF0 + (c >> 18 & 0x7), 0x80 + (c >> 12 & 0x3F));
		else r.push(0xE0 + (c >> 12 & 0xF));
		r.push(0x80 + (c >> 6 & 0x3F), 0x80 + (c & 0x3F));
	};
	return r;
}

// 字符串加密成 hex 字符串
function sha1(s) {
	var data = new Uint8Array(encodeUTF8(s))
	var i, j, t;
	var l = ((data.length + 8) >>> 6 << 4) + 16,
		s = new Uint8Array(l << 2);
	s.set(new Uint8Array(data.buffer)), s = new Uint32Array(s.buffer);
	for (t = new DataView(s.buffer), i = 0; i < l; i++) s[i] = t.getUint32(i << 2);
	s[data.length >> 2] |= 0x80 << (24 - (data.length & 3) * 8);
	s[l - 1] = data.length << 3;
	var w = [],
		f = [
			function() {
				return m[1] & m[2] | ~m[1] & m[3];
			},
			function() {
				return m[1] ^ m[2] ^ m[3];
			},
			function() {
				return m[1] & m[2] | m[1] & m[3] | m[2] & m[3];
			},
			function() {
				return m[1] ^ m[2] ^ m[3];
			}
		],
		rol = function(n, c) {
			return n << c | n >>> (32 - c);
		},
		k = [1518500249, 1859775393, -1894007588, -899497514],
		m = [1732584193, -271733879, null, null, -1009589776];
	m[2] = ~m[0], m[3] = ~m[1];
	for (i = 0; i < s.length; i += 16) {
		var o = m.slice(0);
		for (j = 0; j < 80; j++)
			w[j] = j < 16 ? s[i + j] : rol(w[j - 3] ^ w[j - 8] ^ w[j - 14] ^ w[j - 16], 1),
			t = rol(m[0], 5) + f[j / 20 | 0]() + m[4] + w[j] + k[j / 20 | 0] | 0,
			m[1] = rol(m[1], 30), m.pop(), m.unshift(t);
		for (j = 0; j < 5; j++) m[j] = m[j] + o[j] | 0;
	};
	t = new DataView(new Uint32Array(m).buffer);
	for (var i = 0; i < 5; i++) m[i] = t.getUint32(i << 2);

	var hex = Array.prototype.map.call(new Uint8Array(new Uint32Array(m).buffer), function(e) {
		return (e < 16 ? "0" : "") + e.toString(16);
	}).join("");
	return hex;
}

function timest() {
	var tmp = Date.parse(new Date()).toString();
	tmp = tmp.substr(0, 10);
	return tmp;
}

var throttle = function(func, delay) {

	return function() {
		var context = this;
		var args = arguments;
		var now = Date.now();
		if (now - prev >= delay) {
			func.apply(context, args);
			prev = Date.now();
		} else {
			console.log("401啦，上一个token还在刷新，还没到时间刷新新的token");
		}
	}
}

function handle() {
	console.log("401啦，我去刷新token！");

	var b = {
		"RefreshToken": _mm.storage.get('userInfo').RefreshToken,
		"UserId": _mm.storage.get('userInfo').ID,
		"Token": _mm.storage.get('userInfo').Token
	}

	api.login.loginUserByRefreshToken({
		"RefreshToken": _mm.storage.get('userInfo').RefreshToken,
		"UserId": _mm.storage.get('userInfo').ID
		// "SCode": _mm.storage.get('userInfo').SCode
	}, function(res) {
		console.log("刷新成功")
		var userInfoData = _mm.storage.get('userInfo')
		userInfoData.RefreshToken = JSON.stringify(res.Refresh_Token)
		userInfoData.Token = JSON.stringify(res.Access_Token)
		userInfoData.Token = userInfoData.Token.replace("\"", "").replace("\"", "");
		userInfoData.RefreshToken = userInfoData.RefreshToken.replace("\"", "").replace("\"", "");
		userInfoData.SToken = JSON.stringify(res.S_Token).replace("\"", "").replace("\"", "");
		// userInfoData.SCode = JSON.stringify(res.SCode).replace("\"", "").replace("\"", "");
		_mm.storage.set('userInfo', userInfoData);

		// _mm.requestApi(param);//重新调用接口
		// console.log("我拿到新的token了，你们看 token =" + JSON.stringify(res.Access_Token))
		// console.log("Stoken =" + JSON.stringify(res.S_Token))
		// console.log("SCode =" + JSON.stringify(res.SCode))
		// console.log("RefreshToken =" + JSON.stringify(res.Refresh_Token))


		//刷新页面前临时标记当前页面
		// if (window.location.search == "?tab=liveBroadcast") {
		// 	sessionStorage.liveBroadcast = "true"
		// } else if (window.location.search == "?tab=specialClass") {
		// 	sessionStorage.specialClass = "true"
		// } else if (window.location.search == "?tab=zhongyuanwang") {
		// 	sessionStorage.zhongyuanwang = "true"
		// } else if (window.location.search == "?tab=my") {
		// 	sessionStorage.my = "true"
		// } else if (window.location.search == "?tab=task") {
		// 	sessionStorage.task = "true"
		// }
		// if (window.location.search != "?tab=homepage") {
		// 	_mm.storage.set('HomeTokenRef', "true");
		// 	console.log("非首页刷新token")
		// }

		window.location.reload(); //页面重新加载

	}, function(err) {
		if (localStorage.getItem("userInfo") != null) {
			localStorage.removeItem("userInfo"); //清除本地缓存
			mui.plusReady(function() {
				mui.alert('您登录过期了，请重新登录!', '网络学院', '确定', function() {
					backToLogin();
				});
			});
		}
		mui.toast(err);
	});
}

function hundredMeetingRefToken(param, index) {

	api.login.loginUserByRefreshToken({
		"RefreshToken": _mm.storage.get('userInfo').RefreshToken,
		"UserId": _mm.storage.get('userInfo').ID
	}, function(res) {
		console.log("刷新成功")
		var userInfoData = _mm.storage.get('userInfo')
		// console.log("1index=", index)
		userInfoData.RefreshToken = JSON.stringify(res.Refresh_Token)
		// console.log("2index=", index)
		userInfoData.Token = JSON.stringify(res.Access_Token)
		// console.log("3index=", index)
		userInfoData.Token = userInfoData.Token.replace("\"", "").replace("\"", "");
		// console.log("4index=", index)
		userInfoData.RefreshToken = userInfoData.RefreshToken.replace("\"", "").replace("\"", "");
		// console.log("5index=", index)
		userInfoData.SToken = JSON.stringify(res.S_Token).replace("\"", "").replace("\"", "");
		_mm.storage.set('userInfo', userInfoData);
		console.log("6index=", index)
		if (index === 1) {
			console.log("requestApi")
			_mm.requestApi(param);
		} else if (index === 2) {
			_mm.requestApi_appd(param);
		}


	}, function(err) {
		if (localStorage.getItem("userInfo") != null) {
			localStorage.removeItem("userInfo"); //清除本地缓存
			mui.plusReady(function() {
				mui.alert('您登录过期了，请重新登录!', '网络学院', '确定', function() {
					backToLogin();
				});
			});
		}
		mui.toast(err);
	});
}

var prev = 0;
var prevToken = throttle(handle, 5000);
